<%@ page contentType="text/html; charset=gbk" language="java" %>
<%@ page import="mediastore.web.global.*"%>
<%@ page import="mediastore.web.form.*"%>
<%@ page import="mediastore.rule.*"%>
<%@ page import="java.util.*"%>
<%@ page import="java.text.*"%>

<body onload="document.form1.goodsid.focus()">

<script language="JavaScript">

function Calendar_createtime1()
{
	var newWindow;
	var urlstring = './html/Calendar_createtime1.htm'
	newWindow = window.open(urlstring,'','height=200,width=280,toolbar=no,minimize=no,status=no,memubar=no,location=no,scrollbars=no')

}
function Calendar_createtime2()
{
	var newWindow;
	var urlstring = './html/Calendar_createtime2.htm'
	newWindow = window.open(urlstring,'','height=200,width=280,toolbar=no,minimize=no,status=no,memubar=no,location=no,scrollbars=no')

}

function isLeapYear(year) 
{ 
	if((Number(year)%4==0&&Number(year)%100!=0)||(Number(year)%400==0)) 
	{ 
		return true; 
	}  
	return false; 
}

function Trim(str){
 if(str.charAt(0) == " "){
  str = str.slice(1);
  str = Trim(str); 
 }
 return str;
}

//校验，看输入对象的值是否为有效日期yyyy-mm-dd hh:mm:ss
function isDateChen(checktext){

	var datetime;
	var year,month,day,hour,mini,senc;
	var gone,gtwo,gthree,gfour,gfive;
	if(Trim(checktext.value)!=""){
		datetime = Trim(checktext.value);
		if(datetime.length==19){
			year=datetime.substring(0,4);
			if(isNaN(year)==true){
				alert("时间格式不正确\n形如：yyyy-mm-dd hh:mm:ss\n例：2001-02-23 02:56:12");
				checktext.focus();
				return false;
			}
			gone=datetime.substring(4,5);
			month=datetime.substring(5,7);
			if(isNaN(month)==true){
				alert("时间格式不正确\n形如：yyyy-mm-dd hh:mm:ss\n例：2001-02-23 02:56:12");
				checktext.focus();
				return false;
			}
			gtwo=datetime.substring(7,8);
			day=datetime.substring(8,10);
			if(isNaN(day)==true){
				alert("时间格式不正确\n形如：yyyy-mm-dd hh:mm:ss\n例：2001-02-23 02:56:12");
				checktext.focus();
				return false;
			}
			gthree=datetime.substring(10,11);
			firstm = datetime.indexOf(":");//第一个冒号的位置
			//alert("firstm:"+firstm);
			hour=datetime.substring(11,firstm);
			if(isNaN(hour)==true){
				alert("时间格式不正确\n形如：yyyy-mm-dd hh:mm:ss\n例：2001-02-23 02:56:12");
				checktext.focus();
				return false;
			}
			gfour=datetime.substring(firstm,firstm+1);
			
			//alert(datetime.length);
			tempstr = datetime.substring(firstm+1,datetime.length);
			secondm = tempstr.indexOf(":");//第二个冒号的位置
			mini=tempstr.substring(0,secondm);
			if(isNaN(mini)==true){
				alert("时间格式不正确\n形如：yyyy-mm-dd hh:mm:ss\n例：2001-02-23 02:56:12");
				checktext.focus();
				return false;
			}
			gfive=tempstr.substring(secondm,secondm+1);
			senc=tempstr.substring(secondm+1,tempstr.length);
			if(isNaN(senc)==true){
				alert("时间格式不正确\n形如：yyyy-mm-dd hh:mm:ss\n例：2001-02-23 02:56:12");
				checktext.focus();
				return false;
			}
			
			//alert(year+gone+month+gtwo+day+gthree+hour+gfour+mini+gfive+senc)
			
			if((gone=="-")&&(gtwo=="-")){
				if( Number(month)<1 || Number(month)>12 ) { 
					alert("月份必须在01和12之间!"); 
					checktext.focus();
					return false; 
				} 
				if(Number(day)<1 || Number(day)>31){ 
					alert("日期必须在01和31之间!");
					checktext.focus(); 
					return false; 
				}else{
					if(Number(month)==2){  
					
						if(isLeapYear(year)&& Number(day)>29){ 
							alert("2月份日期必须在01到29之间"); 
							checktext.focus();
							return false; 
						}       
						if(!isLeapYear(year)&& Number(day)>28){ 
							alert("2月份日期必须在01到28之间");
							checktext.focus(); 
							return false; 
						} 
					} 
					if((Number(month)==4||Number(month)==6||Number(month)==9||Number(month)==11)&&(Number(day)>30)){ 
						alert("在4、6、9和11月份\n日期必须在01到30之间");
						checktext.focus(); 
						return false; 
					} 
				}
			}else{
				alert("时间格式不正确\n形如：yyyy-mm-dd hh:mm:ss\n例：2001-02-23 02:56:12");
				checktext.focus();
				return false;
			}
		}else{
			alert("时间格式不正确\n形如：yyyy-mm-dd hh:mm:ss\n例：2001-02-23 02:56:12");
			checktext.focus();
			return false;
		}
	}else{
		return true;
	}
	return true;
}

function mySubmit1(){

	if(!isDateChen(document.form1.createtime1))
	{//检查输入的时间是否合法
	}
	else if(!isDateChen(document.form1.createtime2))
	{//检查输入的时间是否合法
	}
	else
	{
		document.form1.start_rec_num.value = '1';
		document.form1.action="exportItemSearch.do";
		document.form1.submit();
	}
}

function gotoPage(){
	
	//该值为要条转到的页面的起始记录号
	//alert(document.all.gotopagenum.value);

	document.form2.start_rec_num.value = document.all.gotopagenum.value;
	document.form2.action="exportItemSearch.do";
	document.form2.submit();
	
}


function gotoPageByN(n){
	
	document.form2.start_rec_num.value = n;
	document.form2.action="exportItemSearch.do";
	document.form2.submit();
	
}

function deleteAExportItem(currec, billid, goodsid)
{
	if(confirm("该操作只删除售货明细信息，不影响售货单和库存信息\r\n确定要删除该售货明细信息吗？")) 
	{
		document.form2.start_rec_num.value = currec;
		document.form2.action = "exportItemDelete.do?deletebillid="+billid+"&deletegoodsid="+goodsid+"&";
		document.form2.submit();
	}
}

function reimportGoodsForItem(currec, billid, goodsid)
{
	if(confirm("该操作将删除售货明细信息，并调整售货单和库存信息\r\n确定要取消该售货明细信息吗？")) 
	{
		document.form2.start_rec_num.value = currec;
		document.form2.action = "exportItemCancel.do?cancelbillid="+billid+"&cancelgoodsid="+goodsid+"&";
		document.form2.submit();
	}
}


function submitTempExportBill(currec, billid)
{
	if(confirm("该确认操作将确认提交整张临时售货单\r\n确定要提交该单所有售货明细信息吗？")) 
	{
		document.form2.start_rec_num.value = currec;
		document.form2.action = "exportItemSubmitTemp.do?submitbillid="+billid;
		document.form2.submit();
	}
}
</script>




<table width="768" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr> 
    <td width="5" rowspan="4" class="trtable"></td>
    <td width="6" bgcolor="#214984" height="1"></td>
    <td rowspan="4" bgcolor="#214984" width="1" height="1"></td>
    <td bgcolor="#214984" class="10p" colspan="2" height="1"></td>
    <td rowspan="4" width="1" bgcolor="#214984" height="1"></td>
    <td bgcolor="#214984" width="5" height="1"></td>
    <td width="5" rowspan="4" class="trtable"></td>
  </tr>
  <tr> 
    <td width="6"></td>
    <td width="379" height="20" class="mainhead">售货明细查询</td>
    <td class="mainhead" width="379" height="20">&nbsp;</td>
    <td width="5"></td>
  </tr>
<tr> 
    <td width="6"></td>
    <td valign="top" colspan="2"> 
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
        
        <tr> 
          <td height="300" align="center" valign="top">   
          
<%////
	//---从页面对象中获取数据---
	ExportItemSearchConFB eiscfb = (ExportItemSearchConFB)request.getAttribute(Globals.REQUEST_EXPORTITEMSEARCHCON);
	List billIdList = eiscfb.getBillIdList();
	List salesPersonList = eiscfb.getSalesPersonList();

	int curStartRecNum = eiscfb.getStartRecNum();		//当前起始记录号
	int curPageRecNum = eiscfb.getPageRecNum();		//页记录数
	ExportItemSearchResultInfo eisri = eiscfb.getEisri();	//检索结果可能为空
	ExportItemSearchRule eisr = eiscfb.getEisr();		//检索式可能为空
	float totalProfit = eiscfb.getTotalProfit();
	//-------

	
	//组织与页、记录相关的信息
	List exportItemList = new ArrayList();
	int totalItemNum = 0;
	int totalAmount = 0;					//销售总量
	if(eisri != null)
	{
		totalItemNum = eisri.getTotalRecNum();		//总记录数
		exportItemList = eisri.getExportItemList();
		totalAmount = eisri.getTotalAmount();
	}
	int curPageIndex = curStartRecNum/curPageRecNum+1;	//当前页号
	int totalPageNum = 0;					//总页数
	if(totalItemNum%curPageRecNum==0)
	{
		totalPageNum = totalItemNum/curPageRecNum;
	}else{
		totalPageNum = totalItemNum/curPageRecNum+1;
	}
	int lastPageFirstRecNum = 0;				//最后一页的首记录号
	if(totalItemNum%curPageRecNum==0)
	{
		lastPageFirstRecNum = (totalItemNum/curPageRecNum-1)*(curPageRecNum)+1;
	}else{
		lastPageFirstRecNum = (totalItemNum/curPageRecNum)*(curPageRecNum)+1;
	}
	
	//获得上次检索式的值，由于检索式可能为空，所以设置一个缺省值
	String lastOrderStr = "BillID";
	String lastBillId = "0";
	String lastGoodsId = "";
	String lastGoodsName = "";
	String lastSalesPerson = "";
	String lastConfirmFlage = "";
	String lastCreateTime1 = "";
	String lastCreateTime2 = "";
	if(eisr!=null)
	{
		lastOrderStr = eisr.getOrderStr();
		lastBillId = eisr.getBillId() + "";
		lastGoodsId = eisr.getGoodsId();
		lastGoodsName = eisr.getGoodsName();
		lastSalesPerson = eisr.getSalesPerson();
		lastConfirmFlage = eisr.getConfirmFlage();
		lastCreateTime1 = eisr.getCreateTime1();
		lastCreateTime2 = eisr.getCreateTime2();
	}
	
	String tmpStr;
%>

    	<form name="form1" method="post" action="" >
    	<font color=#215385><b>查询条件</b></font>
    	<IMG src="images/line1.gif" border=0>
    	<br>
    	<input type="hidden" name="start_rec_num"  value="1">
    	<TABLE width="100%" border="1" cellpadding="3" cellspacing="0" bordercolor="#FFFFFF" class="mailtable"> 
	  <tr>
            <td  align="right"> 
                <b>售货单号:</b>
            </td>
            <td>
            	<SELECT size=1 name="billid">
            		<option value="0">请选择...</option>
            		<%
            			for(int i=0; i<billIdList.size(); i++)
            			{
            				tmpStr = (String)billIdList.get(i);
            		%>
            		<option value="<%=tmpStr%>"><%=tmpStr%></option>
			<%
				}
			%>
            	</SELECT>
            </td>
            <td  align="right"> 
                <b>货物标识:</b>
            </td>
            <td>
            	<input type=text name='goodsid' size="20" class="none" onKeyDown="if(event.keyCode==13) mySubmit1();">
            </td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td  align="right"> 
                <b>销售人员:</b>
            </td>
            <td>
            	<SELECT size=1 name="salesperson">
            		<option value="">请选择...</option>
            		<%
            			for(int i=0; i<salesPersonList.size(); i++)
            			{
            				tmpStr = (String)salesPersonList.get(i);
            		%>
            		<option value="<%=tmpStr%>"><%=tmpStr%></option>
			<%
				}
			%>
            	</SELECT>
            </td>

            <td  align="right"> 
                <b>货物名称:</b>
            </td>
            <td>
            	<input type=text name='goodsname' size="20" class="none" onKeyDown="if(event.keyCode==13) mySubmit1();">
            </td>
            <TD width=20%>
                &nbsp;
	    </TD>
          </tr>
          <tr>
		<TD align="right"><b>单据状态:</b></TD>
		<TD>
			<SELECT name="confirmflage">
				<option value="">请选择...</option>
				<option value="1">确认单</option>
				<option value="0">临时单</option>
			</SELECT>
		</TD>
		<TD align="right"><b>排序方式:</b></TD>
		<TD>
			<SELECT name="orderstr">
				<option value="BillID">售货单号升序</option>
				<option value="BillID DESC">售货单号降序</option>
				<option value="GoodsID">货物标识升序</option>
				<option value="GoodsID DESC">货物标识降序</option>
				<option value="GoodsName">货物名称升序</option>
				<option value="GoodsName DESC">货物名称降序</option>
				<option value="CreateTime">录入时间升序</option>
				<option value="CreateTime DESC">录入时间降序</option>
			</SELECT>
		</TD>
		<td width=20%>
		<input name=searchbutton type=button value="查询" onClick='mySubmit1()' >
		</td>
          </tr>
	</TABLE>
    	<TABLE width="100%" border="1" cellpadding="3" cellspacing="0" bordercolor="#FFFFFF" class="mailtable"> 
	  <tr>
		<TD align="right" width=14%><b>&nbsp;&nbsp;录入时间:</b></TD>
		<TD width=65%>&nbsp;&nbsp;
		起始 
		<input type=text name='createtime1' size="20" class="none">
		<img src="./images/cal.gif" width="16" height="16" border="0" style="cursor:hand;" align="absmiddle" alt="弹出日历菜单"  onClick="Calendar_createtime1()">&nbsp; 
		终止 
		<input type=text name='createtime2'  size="20" class="none"> 
		<img src="./images/cal.gif" width="16" height="16" border="0" style="cursor:hand;" align="absmiddle" alt="弹出日历菜单"  onClick="Calendar_createtime2()">
		</TD>
		<TD>&nbsp;</TD>
          </tr>
	</TABLE>
	</form>

	<br>
<%
	NumberFormat nf = NumberFormat.getNumberInstance();
	nf.setMaximumFractionDigits(2);
%>
	<form name="form2" method="post" action="" >
	<font color=#215385><b>售货明细列表</b>（共 <font color="red"><%=totalItemNum%></font> 条明细信息）</font>
	<br>
	<div align="left">
	&nbsp;&nbsp;<font color=#215385>销售总量:<font color=#FE60A3><%=totalAmount%></font> &nbsp;&nbsp;总利润:<font color=#FE60A3><%=nf.format(totalProfit)%></font>元</font>
	</div>
	<IMG src="images/line1.gif" border=0>
	
	<input type="hidden" name="start_rec_num"  value=""><!--提交的时候设置-->
	<input type="hidden" name="orderstr"  value="<%=lastOrderStr%>">
	<input type="hidden" name="billid"  value="<%=lastBillId%>">
	<input type="hidden" name="goodsid"  value="<%=lastGoodsId%>">
	<input type="hidden" name="goodsname"  value="<%=lastGoodsName%>">
	<input type="hidden" name="salesperson"  value="<%=lastSalesPerson%>">
	<input type="hidden" name="confirmflage"  value="<%=lastConfirmFlage%>">
	<input type="hidden" name="createtime1"  value="<%=lastCreateTime1%>">
	<input type="hidden" name="createtime2"  value="<%=lastCreateTime2%>">

	<TABLE width="100%" border="1" cellpadding="3" cellspacing="0" bordercolor="#FFFFFF" class="mailtable">  
		<%//
			if(exportItemList.size()>0)
			{
		%>
		<tr bgcolor="#C2CEDC">
		<th>单号</th>
		<th></th>
		<th>货物标识</th>
		<th>货物名称</th>
		<th>数量</th>
		<th>单价</th>
		<th>折扣</th>
		<th>利润</th>
		<th>售货人</th>
		<th>录入时间</th>
		<th>状态</th>
		<th>取消</th>
		<th>删除</th>
		</tr>
		<%//
			}
		%>
		
		<%//
		
	    	int index = 0;
	      	GoodsExportItemInfo tmpInfo = null;
	      	
	      	for (index=0; index<exportItemList.size(); index++)
		{
	      		tmpInfo = (GoodsExportItemInfo)exportItemList.get(index);
	      	%>
	        <tr <%if((index%2)==1){%>bgcolor="#CAE4F4"<%}%> >
	        
	        <td align='center'><%= tmpInfo.getBillId() %></td>
	        <td align='center' width=2%><a href="<%= request.getContextPath() + "/goodsInfoView.do?goodsid=" + tmpInfo.getGoodsId() %>" target='goodsinfo'><IMG src="images/goods.gif" border=0 alt='查看货物信息'></a></td>
	        <td align='center'><%= tmpInfo.getGoodsId() %></td>
	        <td align='center'><%= tmpInfo.getGoodsName() %></td>
		<td align='center'><%= tmpInfo.getExportAmount() %></td>
		<td align='center'><%= nf.format(tmpInfo.getExportUnitPrice()) %></td>
		<td align='center'>
		<%
			if(tmpInfo.getDiscount()==1)
			{
		%>
			无
		<%
			}
			else
			{
		%>
			<font color=#FE60A3><%= tmpInfo.getDiscount()*10 %></font>折
		<%
			}
		%>
		</td>
		<td align='center'><%= nf.format(tmpInfo.getProfit()) %></td>
		<td align='center'><%= tmpInfo.getSalesPerson() %></td>
		<td align='center'>
		<%
			String tmptime = tmpInfo.getCreateTime();
			if(tmptime==null)tmptime="";
			if(tmptime.length()>=19)
			{
		%>
				<%= tmptime.substring(0,19) %>
		<%
			}
		%>
		</td>
		<td align='center'>
		<%
			if(tmpInfo.getConfirmFlage().equals("0"))
			{
		%>
			<font color=#E61577>临时单</font><font color=#215385>【</font><a href="javascript:submitTempExportBill('<%=curStartRecNum%>', '<%=tmpInfo.getBillId()%>') ">确认</a><font color=#215385>】</font>
		<%//
			}else{
		%>
			<font color=#007168>确认单</font>
		<%//
			}
		%>
		</td>
		<td align='center'>
			<a href="javascript:reimportGoodsForItem('<%=curStartRecNum%>', '<%=tmpInfo.getBillId()%>', '<%=tmpInfo.getGoodsId()%>') ">取消</a>
		</td>
	        <td align='center'>
	        	<a href="javascript:deleteAExportItem('<%=curStartRecNum%>', '<%=tmpInfo.getBillId()%>', '<%=tmpInfo.getGoodsId()%>') "><IMG src="images/delto.gif" border=0></a>
	        </td>
	        </tr>
	        <%//
	
	      	}//--for
	        %>
	</TABLE>
	</form>
	
	<!--
	共 <font color="red"><%////=totalItemNum%></font> 条记录&nbsp;&nbsp;&nbsp;
	每页 <font color="red"><%////=curPageRecNum%></font> 条记录&nbsp;&nbsp;&nbsp;
	起始记录为 <font color="red"><%////=curStartRecNum%></font> &nbsp;&nbsp;&nbsp;
	共 <font color="red"><%////=totalPageNum%></font> 页&nbsp;&nbsp;&nbsp;
	当前为第 <font color="red"><%////=curPageIndex%></font> 页&nbsp;&nbsp;&nbsp;
	末页首记录号为 <font color="red"><%////=lastPageFirstRecNum%></font> &nbsp;&nbsp;&nbsp;
	-->
	<div align="right">
		<%
			if(curStartRecNum!=1)
			{
		%>
		<a href="javascript:gotoPageByN(1)"><IMG src="images/startpage.gif" border=0 alt='首页'></a>&nbsp;
		<%
			}
			else
			{
		%>
		<IMG src="images/startpage.gif" border=0 alt='首页'>&nbsp;
		<%	
			}
			
			if(curStartRecNum-curPageRecNum>=1)
			{
		%>
		<a href="javascript:gotoPageByN(<%=curStartRecNum-curPageRecNum%>)"><IMG src="images/lastpage.gif" border=0 alt='上一页'></a>&nbsp;&nbsp;
	    	<%
	    		}
			else
			{
		%>
		<IMG src="images/lastpage.gif" border=0 alt='上一页'>&nbsp;&nbsp;
		<%	
			}
			
	    		if(curStartRecNum+curPageRecNum<=lastPageFirstRecNum)
	    		{
	    	%>
	    	<a href="javascript:gotoPageByN(<%=curStartRecNum+curPageRecNum%>)"><IMG src="images/nextpage.gif" border=0 alt='下一页'></a>&nbsp;
	    	<%
	    		}
			else
			{
		%>
		<IMG src="images/nextpage.gif" border=0 alt='下一页'>&nbsp;
		<%	
			}
			
	    		if(curStartRecNum!=lastPageFirstRecNum && lastPageFirstRecNum>=1)
	    		{
	    	%>
	    	<a href="javascript:gotoPageByN(<%=lastPageFirstRecNum%>)"><IMG src="images/endpage.gif" border=0 alt='末页'></a>&nbsp;&nbsp;&nbsp;&nbsp;
	    	<%
	    		}
			else
			{
		%>
		<IMG src="images/endpage.gif" border=0 alt='末页'>&nbsp;&nbsp;&nbsp;&nbsp;
		<%	
			}
	    	%>
    	</div>
    	
    	<div align="center">
		第 <select name="gotopagenum" onChange="gotoPage()">
		<%for(int i=1; i<=totalPageNum; i++)
		  {%>
			<option value="<%=(i-1)*curPageRecNum+1%>" <%if(i==curPageIndex){%>selected<%}%>><%=i%></option>
		<%}%>
		</select> 页
	</div>

	</td>
        </tr>
        <tr> 
          <td valign="middle" align="center">&nbsp;</td>
        </tr>

      </table>
      
    </td>
    <td width="5"></td>
  </tr>
  <tr> 
    <td width="6"></td>
    <td colspan="2" class="mainhead">&nbsp;</td>
    <td width="5"></td>
  </tr>
  <tr> 
    <td colspan="8" bgcolor="#214984" height="2"></td>
  </tr>
</table>
</body>
